Bug 89537 - Redhat Network Configuration Tool crashes whenever I attempt to change the value of a device setting.
Redhat Network Configuration Tool crashes whenever I attempt to change the va...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: redhat-config-network (Show other bugs)
2.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-23 19:37 EDT by Chris Payne
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 05:54:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Payne 2003-04-23 19:37:09 EDT
Description of problem:
Whenever I change a value or setting using Redhat Network Configuration Tool 
and click "apply" or "close" the tool returns an exception report.

Version-Release number of selected component (if applicable):
redhat-config-network-1.0.4-0.AS21.1.i386.rpm

How reproducible:
Every time

Steps to Reproduce:
1.Launch Network Config Tool
2.Change a setting
3.Click apply
    
Actual results:
The program did not apply the changes and save them.

Expected results:
New settings should have been applied and saved.

Additional info:
Traceback (innermost last):
  File "/usr/sbin/neat", line 1210, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 392, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 271, in save
    self.saveHardware()
  File "/usr/sbin/neat", line 283, in saveHardware
    hardwarelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py", 
line 276, in save
    modules.write()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 981, 
in write
    self[key] = self.vars[key]
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 936, 
in __setitem__
    replace = key + ' ' + varname + ' ' + endofline
TypeError: illegal argument type for built-in operation

Local variables in innermost frame:
endofline: None
value: {'alias': None}
self: <netconfpkg.NCHardwareList.MyConfModules instance at 845d708>
varname: eth1
missing: 1
key: alias
place: 0
findexp: [	 ]*alias[	 ]+eth1[	 ]+
Comment 1 David Lawrence 2003-04-28 14:09:53 EDT
Changing product and component so proper developer will see this bug report.
Comment 2 Harald Hoyer 2003-04-29 04:25:43 EDT
can you please attach your modules.conf?
Comment 3 Harald Hoyer 2003-07-29 05:26:59 EDT
ping?
Comment 4 jacob liberman 2004-01-08 12:58:04 EST
I would like to be cc'd on this bug. I have seen several people with 
this same traceback error and I would be happy to provide any 
required information. Thanks, Jacob
Comment 5 Harald Hoyer 2004-06-04 05:54:02 EDT
Closing due to inactivity. Reopen, if the problem is still existing.

Note You need to log in before you can comment on or make changes to this bug.